PLplot: plline.c File Reference

PLplot 5.15.0

Macros | Functions | Variables
plline.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Macros
#define | INSIDE(ix, iy) ( BETW( ix, xmin, xmax ) && BETW( iy, ymin, ymax ) )

## Functions
static void | pllclp (PLINT *x, PLINT *y, PLINT npts)
static void | genlin (short *x, short *y, PLINT npts)
static void | grdashline (short *x, short *y)
static PLFLT * | interpolate_between (int n, PLFLT a, PLFLT b)
void | c_pljoin (PLFLT x1, PLFLT y1, PLFLT x2, PLFLT y2)
void | c_plline (PLINT n, PLFLT_VECTOR x, PLFLT_VECTOR y)
void | c_plpath (PLINT n, PLFLT x1, PLFLT y1, PLFLT x2, PLFLT y2)
void | c_plline3 (PLINT n, PLFLT_VECTOR x, PLFLT_VECTOR y, PLFLT_VECTOR z)
void | c_plpoly3 (PLINT n, PLFLT_VECTOR x, PLFLT_VECTOR y, PLFLT_VECTOR z, PLBOOL_VECTOR draw, PLBOOL ifcc)
void | c_plstyl (PLINT nms, PLINT_VECTOR mark, PLINT_VECTOR space)
void | plP_movphy (PLINT x, PLINT y)
void | plP_draphy (PLINT x, PLINT y)
void | plP_movwor (PLFLT x, PLFLT y)
void | plP_drawor (PLFLT x, PLFLT y)
void | plP_draphy_poly (PLINT *x, PLINT *y, PLINT n)
void | plP_drawor_poly (PLFLT_VECTOR x, PLFLT_VECTOR y, PLINT n)
void | plP_pllclp (PLINT *x, PLINT *y, PLINT npts, PLINT xmin, PLINT xmax, PLINT ymin, PLINT ymax, void(*draw)(short *, short *, PLINT))
int | plP_clipline (PLINT *p_x1, PLINT *p_y1, PLINT *p_x2, PLINT *p_y2, PLINT xmin, PLINT xmax, PLINT ymin, PLINT ymax)

## Variables
static PLINT | xline [PL_MAXPOLY]
static PLINT | yline [PL_MAXPOLY]
static PLINT | lastx = PL_UNDEFINED
static PLINT | lasty = PL_UNDEFINED

## Macro Definition Documentation

## ◆ INSIDE

#define INSIDE | ( |  | ix,
|  |  | iy
| ) |  | ( BETW( ix, xmin, xmax ) && BETW( iy, ymin, ymax ) )

Definition at line 25 of file plline.c.

## Function Documentation

## ◆ c_pljoin()

void c_pljoin | ( | PLFLT | x1,
|  | PLFLT | y1,
|  | PLFLT | x2,
|  | PLFLT | y2
| ) |  |

Definition at line 62 of file plline.c.

## ◆ c_plline()

void c_plline | ( | PLINT | n,
|  | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | y
| ) |  |

Definition at line 75 of file plline.c.

## ◆ c_plline3()

void c_plline3 | ( | PLINT | n,
|  | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | y,
|  | PLFLT_VECTOR | z
| ) |  |

Definition at line 131 of file plline.c.

## ◆ c_plpath()

void c_plpath | ( | PLINT | n,
|  | PLFLT | x1,
|  | PLFLT | y1,
|  | PLFLT | x2,
|  | PLFLT | y2
| ) |  |

Definition at line 94 of file plline.c.

## ◆ c_plpoly3()

void c_plpoly3 | ( | PLINT | n,
|  | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | y,
|  | PLFLT_VECTOR | z,
|  | PLBOOL_VECTOR | draw,
|  | PLBOOL | ifcc
| ) |  |

Definition at line 266 of file plline.c.

## ◆ c_plstyl()

void c_plstyl | ( | PLINT | nms,
|  | PLINT_VECTOR | mark,
|  | PLINT_VECTOR | space
| ) |  |

Definition at line 404 of file plline.c.

## ◆ genlin()

static void genlin | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |
| static

Definition at line 806 of file plline.c.

## ◆ grdashline()

static void grdashline | ( | short * | x,
|  | short * | y
| ) |  |
| static

Definition at line 850 of file plline.c.

## ◆ interpolate_between()

PLFLT * interpolate_between | ( | int | n,
|  | PLFLT | a,
|  | PLFLT | b
| ) |  |
| static

Definition at line 977 of file plline.c.

## ◆ pllclp()

static void pllclp | ( | PLINT * | x,
|  | PLINT * | y,
|  | PLINT | npts
| ) |  |
| static

Definition at line 582 of file plline.c.

## ◆ plP_clipline()

int plP_clipline | ( | PLINT * | p_x1,
|  | PLINT * | p_y1,
|  | PLINT * | p_x2,
|  | PLINT * | p_y2,
|  | PLINT | xmin,
|  | PLINT | xmax,
|  | PLINT | ymin,
|  | PLINT | ymax
| ) |  |

Definition at line 697 of file plline.c.

## ◆ plP_draphy()

void plP_draphy | ( | PLINT | x,
|  | PLINT | y
| ) |  |

Definition at line 472 of file plline.c.

## ◆ plP_draphy_poly()

void plP_draphy_poly | ( | PLINT * | x,
|  | PLINT * | y,
|  | PLINT | n
| ) |  |

Definition at line 527 of file plline.c.

## ◆ plP_drawor()

void plP_drawor | ( | PLFLT | x,
|  | PLFLT | y
| ) |  |

Definition at line 505 of file plline.c.

## ◆ plP_drawor_poly()

void plP_drawor_poly | ( | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | y,
|  | PLINT | n
| ) |  |

Definition at line 554 of file plline.c.

## ◆ plP_movphy()

void plP_movphy | ( | PLINT | x,
|  | PLINT | y
| ) |  |

Definition at line 459 of file plline.c.

## ◆ plP_movwor()

void plP_movwor | ( | PLFLT | x,
|  | PLFLT | y
| ) |  |

Definition at line 489 of file plline.c.

## ◆ plP_pllclp()

void plP_pllclp | ( | PLINT * | x,
|  | PLINT * | y,
|  | PLINT | npts,
|  | PLINT | xmin,
|  | PLINT | xmax,
|  | PLINT | ymin,
|  | PLINT | ymax,
|  | void(*)(short *, short *, PLINT) | draw
| ) |  |

Definition at line 599 of file plline.c.

## Variable Documentation

## ◆ lastx

PLINT lastx = PL_UNDEFINED
| static

Definition at line 29 of file plline.c.

## ◆ lasty

PLINT lasty = PL_UNDEFINED
| static

Definition at line 29 of file plline.c.

## ◆ xline

PLINT xline[PL_MAXPOLY]
| static

Definition at line 27 of file plline.c.

## ◆ yline

PLINT yline[PL_MAXPOLY]
| static

Definition at line 27 of file plline.c.